Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonicalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeId": "<string>",
"number": "<string>",
"version": 2,
"status": "DRAFT",
"current": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributeDefinitionId": "<string>",
"valueType": "STRING",
"version": 2,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"revision": "<string>"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"hasNext": true
}{
"errorCode": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Items
Get item version history
Retrieves all versions of an item in descending order (newest first). Each version includes its own versioned attribute values.
GET
/
items
/
{canonicalId}
/
history
Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonicalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemTypeId": "<string>",
"number": "<string>",
"version": 2,
"status": "DRAFT",
"current": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributeDefinitionId": "<string>",
"valueType": "STRING",
"version": 2,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"revision": "<string>"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"hasNext": true
}{
"errorCode": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The canonical ID that identifies the item across all versions
Query Parameters
Page number (0-based)
Required range:
x >= 0Number of items per page
Required range:
1 <= x <= 100Response
Paginated list of item versions
Paginated response containing item versions